> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project



## OpenAPI

````yaml api-reference/openapi.v1.json PATCH /projects/{id}
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /projects/{id}:
    patch:
      tags:
        - projects
      summary: Update project
      operationId: updateProject
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectInput'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    UpdateProjectInput:
      additionalProperties: false
      properties:
        default_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        description:
          maxLength: 500
          type: string
        hardware:
          oneOf:
            - additionalProperties: false
              properties:
                preset:
                  enum:
                    - small
                    - medium
                    - large
                    - xl
                  type: string
              required:
                - preset
              type: object
            - additionalProperties: false
              properties:
                cpu_kind:
                  enum:
                    - shared
                  type: string
                cpus:
                  enum:
                    - 8
                  format: int64
                  type: integer
                memory_mb:
                  enum:
                    - 2048
                  format: int64
                  type: integer
                volume_size_gb:
                  enum:
                    - 5
                  format: int64
                  type: integer
              required:
                - cpu_kind
                - cpus
                - memory_mb
                - volume_size_gb
              type: object
            - additionalProperties: false
              properties:
                cpu_kind:
                  enum:
                    - shared
                  type: string
                cpus:
                  enum:
                    - 8
                  format: int64
                  type: integer
                memory_mb:
                  enum:
                    - 4096
                  format: int64
                  type: integer
                volume_size_gb:
                  enum:
                    - 10
                  format: int64
                  type: integer
              required:
                - cpu_kind
                - cpus
                - memory_mb
                - volume_size_gb
              type: object
            - additionalProperties: false
              properties:
                cpu_kind:
                  enum:
                    - performance
                  type: string
                cpus:
                  enum:
                    - 2
                  format: int64
                  type: integer
                memory_mb:
                  enum:
                    - 8192
                  format: int64
                  type: integer
                volume_size_gb:
                  enum:
                    - 20
                  format: int64
                  type: integer
              required:
                - cpu_kind
                - cpus
                - memory_mb
                - volume_size_gb
              type: object
            - additionalProperties: false
              properties:
                cpu_kind:
                  enum:
                    - performance
                  type: string
                cpus:
                  enum:
                    - 4
                  format: int64
                  type: integer
                memory_mb:
                  enum:
                    - 16384
                  format: int64
                  type: integer
                volume_size_gb:
                  enum:
                    - 20
                  format: int64
                  type: integer
              required:
                - cpu_kind
                - cpus
                - memory_mb
                - volume_size_gb
              type: object
        name:
          maxLength: 100
          minLength: 1
          pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,99}$
          type: string
        pr_review_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        pr_review_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_comment_trigger_enabled:
          type: boolean
        pr_review_prompt:
          minLength: 1
          type: string
        pr_review_respond_to_comments_enabled:
          type: boolean
        task_defaults:
          additionalProperties: false
          properties:
            agent_type:
              enum:
                - codex
                - claude-code
                - opencode
                - cursor
              type: string
            auto_fix_ci:
              type: boolean
            auto_fix_pr_comments:
              type: boolean
            auto_rebase:
              type: boolean
            interaction_mode:
              enum:
                - default
                - plan
              type: string
            model:
              minLength: 1
              type: string
            reasoning_effort:
              enum:
                - ultra
                - max
                - xhigh
                - high
                - medium
                - low
                - ultrathink
                - ultracode
                - none
              type:
                - string
                - 'null'
          required:
            - agent_type
            - model
            - interaction_mode
            - auto_fix_ci
            - auto_fix_pr_comments
            - auto_rebase
          type: object
      type: object
    Project:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        default_agent_profile:
          $ref: '#/components/schemas/AgentProfileSummary'
        default_branch:
          minLength: 1
          type: string
        description:
          maxLength: 500
          type: string
        hardware:
          $ref: '#/components/schemas/HardwareConfig'
        id:
          format: uuid
          type: string
        installation_id:
          format: int64
          type:
            - integer
            - 'null'
        name:
          maxLength: 100
          minLength: 1
          pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,99}$
          type: string
        pr_review_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        pr_review_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_comment_trigger_enabled:
          type: boolean
        pr_review_prompt:
          minLength: 1
          type: string
        pr_review_respond_to_comments_enabled:
          type: boolean
        repo_url:
          type: string
        task_defaults:
          $ref: '#/components/schemas/ProjectTaskDefaults'
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - pr_review_prompt
        - pr_review_auto_trigger
        - pr_review_comment_trigger_enabled
        - pr_review_respond_to_comments_enabled
        - hardware
        - task_defaults
        - created_at
        - updated_at
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    AgentProfileSummary:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        id:
          format: uuid
          type: string
        model:
          minLength: 1
          type: string
        name:
          maxLength: 100
          minLength: 1
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - agent_type
        - model
      type: object
    HardwareConfig:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          maximum: 16
          minimum: 1
          type: integer
        gpu_kind:
          enum:
            - a10
            - l40s
            - a100-40gb
            - a100-80gb
          type:
            - string
            - 'null'
        memory_mb:
          format: int64
          maximum: 32768
          minimum: 256
          type: integer
        volume_size_gb:
          format: int64
          maximum: 500
          minimum: 1
          type: integer
      required:
        - cpu_kind
        - cpus
        - memory_mb
        - volume_size_gb
        - gpu_kind
      type: object
    ProjectTaskDefaults:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        model:
          minLength: 1
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
      required:
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````